cmake_minimum_required(VERSION 3.21.1)

project(sacnExplorer VERSION 1.1.1 LANGUAGES CXX)

find_package(Qt6 COMPONENTS Widgets REQUIRED)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

add_executable(${PROJECT_NAME})

target_sources(${PROJECT_NAME}
    PRIVATE
        adduniversedialog.cpp
        adduniversedialog.h
        adduniversedialog.ui
        multiverseitem.h
        multiverseitem.cpp
        multiversemodel.h
        multiversemodel.cpp
        main.cpp
        multiverseview.cpp
        multiverseview.h
        multiverseview.ui
        sacnexplorer.h
        sacnexplorer.cpp
        universemodel.cpp
        universemodel.h
        universeview.h
        universeview.cpp
        universeview.ui
    )

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        Qt::Widgets
        QsACN
    )

set_target_properties(${PROJECT_NAME} PROPERTIES
    MACOSX_BUNDLE_GUI_IDENTIFIER ${PROJECT_NAME}.company235.com
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
)
